<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Abstract class which represents notificator.
 */
abstract class Notificator extends CApplicationComponent
{

    /**
     * Method which invokes notification handling
     *
     * @param Notification $notification occurred notification
     *
     * @return void
     */
    public abstract function notify(Notification $notification);

}
