<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class CreateShortUrlWidget extends BaseWidget
{
    /**
     * @var string The content ID for the short URL generation. e.g.: 10007.123
     */
    public $contentId = null;

    /**
     * @var array Get parameters to append
     */
    public $params = array();



    /**
     * Output a short URL
     */
    public function run()
    {
        echo Yii::app()->getModule('shorturl')->createUrl($this->contentId, $this->params);
    }
}
