<?php
/**
 *
 */
Yii::app()->clientScript->registerCssFile(Yii::app()->getModule('updates')->getAssetsUrl() . '/css/styles.css');
?>

<div class="updates-release-update-step3">
    <?php if ($error = Yii::app()->user->getFlash('error')): ?>
    <div class="error"><?php echo $error?></div>
    <?php else: ?>
    <div>
        <?php echo UpdatesModule::t('You successfully updated your portal to version {version}', array('{version}' => $release->getVersion()))?>
    </div>

    <div class="finish-message">
        <?php echo $release->getFinishMessage()?>
    </div>
    <div class="finish-message">
        Backup file "<?php echo realpath($backupPath)?>"
    </div>
    <div class="finish-message">
        Run "<?php echo realpath(Yii::getPathOfAlias('common')) . '/yiic migrate'?>" command to update database
    </div>
    <?php endif?>
</div>