<?php
/**
 * Apa lines module class
 * Module allows gportal to import news from xml files,
 * save date in database and get it
 *
 * @author Andrew Voloshin <andrew.voloshin@oberig.com>
 *
 */
class APALinesModule extends CWebModule
{
    /**
     * @var array configurations of provided channels
     */
    public $channels = array();

    public $total_max_age_of_news;
    public $total_max_count_of_news;

    public $customer_number = '';
    public $video_url = '';

    public $cacheTime = 0;


    public $DefaultSize    ='640x480';
    public $VideoSize;
    public $OriginalSize;
    public $HiresSize;
    public $ThumbnailSize;

    /**
     * Initialize widget. Import like models.
     *
     * @return void
     */
    public function init()
    {
        // import the module-level models and components
        $this->setImport(
            array(
                'apalines.components.*',
                'site.custom.modules.apalines.components.*',
                'apalines.models.*',
            )
        );
    }

    /**
     * Translates a message to the specified language.
     *
     * @param string $str    message
     * @param array  $params params
     * @param string $dic    dictionary
     *
     * @return string
     */
    public static function t($str = '', $params = array(), $dic = 'core')
    {
        return Yii::t("APALinesModule." . $dic, $str, $params);
    }
}
